Attribute VB_Name = "MacrosCiclisme"
Sub imprimirOKI1()
    ActivePrinter = "OKI C3300 OKI-1"
    Application.PrintOut FileName:="", Range:=wdPrintAllDocument, Item:= _
        wdPrintDocumentContent, Copies:=1, Pages:="", PageType:=wdPrintAllPages, _
        ManualDuplexPrint:=False, Collate:=True, Background:=True, PrintToFile:= _
        False, PrintZoomColumn:=0, PrintZoomRow:=0, PrintZoomPaperWidth:=0, _
        PrintZoomPaperHeight:=0
End Sub
Sub imprimirPDF()
    ActivePrinter = "PDFCreator"
    ChangeFileOpenDirectory "C:\Carreras\Copias\"
    Application.PrintOut FileName:="", Range:=wdPrintAllDocument, Item:= _
        wdPrintDocumentContent, Copies:=1, Pages:="", PageType:=wdPrintAllPages, _
        ManualDuplexPrint:=False, Collate:=True, Background:=True, PrintToFile:= _
        False, PrintZoomColumn:=0, PrintZoomRow:=0, PrintZoomPaperWidth:=0, _
        PrintZoomPaperHeight:=0
End Sub
Sub guardaCopias()
    ChangeFileOpenDirectory "C:\Carreras\Copias\"
    nom = ActiveDocument.Name
    nom = Left$(nom, Len(nom) - 4)
    nom = InputBox("Guardar el fitxer al directori C:\Carreras\copias amb format de WORD (.DOC)", "Guardar com : ", nom)
    If nom = "" Then Exit Sub
    nom = nom & ".doc"
    ActiveDocument.SaveAs FileName:=nom, _
        FileFormat:=wdFormatDocument, LockComments:=False, Password:="", _
        AddToRecentFiles:=True, WritePassword:="", ReadOnlyRecommended:=False, _
        EmbedTrueTypeFonts:=False, SaveNativePictureFormat:=False, SaveFormsData _
        :=False, SaveAsAOCELetter:=False
End Sub
Sub InsertaCapsals()
    If ActiveWindow.View.SplitSpecial <> wdPaneNone Then
        ActiveWindow.Panes(2).Close
    End If
    If ActiveWindow.ActivePane.View.Type = wdNormalView Or ActiveWindow. _
        ActivePane.View.Type = wdOutlineView Then
        ActiveWindow.ActivePane.View.Type = wdPrintView
    End If
    ActiveWindow.ActivePane.View.SeekView = wdSeekCurrentPageHeader
    Selection.InlineShapes.AddPicture FileName:= _
        "C:\carreras\Datos\cabezales\cabezal.jpg", LinkToFile:=False, SaveWithDocument:= _
        True
    Selection.TypeParagraph
    Selection.Fields.Add Range:=Selection.Range, Type:=wdFieldPage
    Selection.TypeText Text:=" de "
    Selection.Fields.Add Range:=Selection.Range, Type:=wdFieldNumPages
    Selection.ParagraphFormat.Alignment = wdAlignParagraphRight
    Selection.WholeStory
    Selection.Font.Name = "Verdana"
    Selection.Font.Size = 8
    ActiveWindow.ActivePane.LargeScroll Down:=1
    If Selection.HeaderFooter.IsHeader = True Then
        ActiveWindow.ActivePane.View.SeekView = wdSeekCurrentPageFooter
    Else
        ActiveWindow.ActivePane.View.SeekView = wdSeekCurrentPageHeader
    End If
    Selection.InlineShapes.AddPicture FileName:= _
        "C:\carreras\Datos\cabezales\cabezal bajo.jpg", LinkToFile:=False, SaveWithDocument _
        :=True
    Selection.TypeBackspace
    If ActiveWindow.ActivePane.View.Type = wdNormalView Or ActiveWindow. _
        ActivePane.View.Type = wdOutlineView Then
        If ActiveWindow.Panes.Count = 2 Then
            ActiveWindow.Panes(2).Close
        End If
        ActiveWindow.View.SplitSpecial = wdPaneCurrentPageHeader
    Else
        ActiveWindow.View.SeekView = wdSeekCurrentPageHeader
    End If
    ActiveWindow.ActivePane.View.SeekView = wdSeekMainDocument
End Sub
Sub InsertaCapsalActa()
    If ActiveWindow.View.SplitSpecial <> wdPaneNone Then
        ActiveWindow.Panes(2).Close
    End If
    If ActiveWindow.ActivePane.View.Type = wdNormalView Or ActiveWindow. _
        ActivePane.View.Type = wdOutlineView Then
        ActiveWindow.ActivePane.View.Type = wdPrintView
    End If
    ActiveWindow.ActivePane.View.SeekView = wdSeekCurrentPageHeader
    Selection.InlineShapes.AddPicture FileName:= _
        "C:\carreras\Datos\cabezal Acta.jpg", LinkToFile:=False, SaveWithDocument:= _
        True
    Selection.TypeParagraph
    'Selection.Fields.Add Range:=Selection.Range, Type:=wdFieldPage
    'Selection.TypeText Text:=" de "
    'Selection.Fields.Add Range:=Selection.Range, Type:=wdFieldNumPages
    'Selection.ParagraphFormat.Alignment = wdAlignParagraphRight
    Selection.WholeStory
    Selection.Font.Name = "Verdana"
    Selection.Font.Size = 8
    ActiveWindow.ActivePane.View.SeekView = wdSeekMainDocument
End Sub

Sub DosColumnesIns()
'
' Macro1 Macro
' Macro grabada el 27/01/09 por JPUJOLF
'
    Selection.HomeKey Unit:=wdLine
    Selection.MoveUp Unit:=wdScreen, Count:=1
    Selection.MoveDown Unit:=wdLine, Count:=6
    
    If ActiveWindow.View.SplitSpecial <> wdPaneNone Then
        ActiveWindow.Panes(2).Close
    End If
    If ActiveWindow.ActivePane.View.Type <> wdPrintView Then
        ActiveWindow.ActivePane.View.Type = wdPrintView
    End If
    ActiveDocument.Range(Start:=Selection.Start, End:=Selection.Start). _
        InsertBreak Type:=wdSectionBreakContinuous
    Selection.Start = Selection.Start + 1
    With ActiveDocument.Range(Start:=Selection.Start, End:=ActiveDocument. _
        Content.End).PageSetup.TextColumns
        .SetCount NumColumns:=2
        .EvenlySpaced = True
        .LineBetween = False
        .Width = CentimetersToPoints(9.17)
        .Spacing = CentimetersToPoints(1.25)
    End With
End Sub
